ApiMcp servers
Update tool overrides
Update override fields on a tool. Uses model_fields_set to distinguish omitted fields from explicit nulls. Setting a field to null clears that override.
Path Parameters
server_id*string
Format
uuidtool_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/tools/497f6eca-6276-4993-bfeb-53cbbbba6f08/overrides" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"input_schema": {},
"has_overrides": true,
"override_description": "string",
"override_input_schema": {},
"override_enrichment_data": {},
"enrichment_data": {}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}